function First_order_Three_ode45

% Uses ODE45 to solve Lorentz equations: three coupled equations
%    dx_dt = -px+py
%    dy_dt = rx-y-xz
%    dz_dt = xy-bz
% with p, r, and b are constant coefficients.




%initial conditions
yo= [1 1 1];

%timespan
tspan = 0:0.1:10;


%call the solver
[t,Y] = ode45(@Lorentz,tspan,yo);

%plot the results

plot(Y(:,1),Y(:,3),'r*')




% plot the exact solution  y=y(0)*exp(-5t)









%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function dy= Lorentz(t,y)
p=10;
r=28;
b=8/3;

dy=zeros(3,1);

dy(1)=-p*y(1)+p*y(2);
dy(2)=r*y(1)-y(2)-y(1)*y(3);
dy(3)=y(1)*y(2)-b*y(3);


return