function First_order_Three_rk4

% a simple example to solve ODE's
% Uses fourth order Runge-Kutta to solve
%    dx_dt = -px+py
%    dy_dt = rx-y-xz
%    dz_dt = xy-bz
% with p, r, and b are constant coefficients.






h=0.005;         % time step
tend=10;      % end time
t=0:h:tend;    % start and end time

n=tend/h+1;     % totoal number of discrete time

y(:,1)=[1;1;1];      %initial conditions

for j=1:n-1
    
    k1(:,j)= Lorentz(t(j),y(:,j));
    k2(:,j)= Lorentz(t(j)+0.5*h,y(:,j)+0.5*h*k1(:,j));
    k3(:,j)= Lorentz(t(j)+0.5*h,y(:,j)+0.5*h*k2(:,j));
    k4(:,j)= Lorentz(t(j)+h,y(:,j)+h*k3(:,j));
    
    y(:,j+1)=y(:,j)+1/6*h*(k1(:,j)+2*k2(:,j)+2*k3(:,j)+k4(:,j));
    
   
   
end

plot(y(1,:),y(3,:),'*')







%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function dy= Lorentz(t,y)
p=10;
r=28;
b=8/3;

dy=zeros(3,1);

dy(1)=-p*y(1)+p*y(2);
dy(2)=r*y(1)-y(2)-y(1)*y(3);
dy(3)=y(1)*y(2)-b*y(3);


return